Subject: Re: IPP> Revised Charter Text for IPP

From: Carl-Uno Manros <[email-masked]>
Date: Fri, 27 Dec 1996 10:48:51 -0800

Ray,

a number of comments to your suggestions, inserted in your text below.

Carl-Uno Manros

---

At 03:03 PM 12/26/96 -0800, Raymond Lutz wrote:

>The work envisioned by the IPP charter heavily overlaps with the work being
>progressed by the internet facsimile group and charter. The functions of
>the groups are remarkably similar.

This is your personal interpretation. The fact that WG charters are requested 
to be no longer than a page or two, hides many of the important details, which
may make the approaches look more similar than they really are.

>The ietf-fax group is looking at devices
>which will accept a MIME object and either print it directly or translate
>it to T.30 (group-3 fax). One of the primary objects considered by the fax
>group for printing is the image/fax-format-tbd which is possibly generated
>by a legacy fax device. However, other formats, such as text/plain, and
>probably html are to be accepted and "printed" by the internet-fax gateway. 

The emphasis on what document formats are of primary interest in the two groups
are obviously different, looking at the services the two projects try to
replace.
Both will deal with document types that are already defined as MIME types,
hence none of the groups will do work here, unless important existing document 
types which are not already a MIME type, need to be added.

>The new protocol proposed for printing has been defined by the fax group as
>a session-oriented approach, as opposed to document-oriented store and
>forward. I have no doubt that the fax work will be accepted since there are
>real $ improvements in fax transmission costs that can be realized.

As far as I know, the current proposal for the FAX group is to go ahead with 
the document-oriented approach and leave the session-oriented one for later
(how much later - years?) and may not even be part of the FAX charter, which 
BTW is still to be written.

>The comments about LPD having 28 implementations seems to support further
>work to refine this and reduce the number of variations.

Ray, you still do not get it. Who would specify and implement a revised LPD 
if none of the printer vendors show any interest? The FAX WG members? 
X/Open already looked at this approach and decided it was too messy to touch.
Try to be real!

>I would like to propose that these groups are harmonized as follows:
>
>IPP group will focus on a mime object for printer control (such as paper
>type, binding, etc.) which can be combined with any relevant MIME type,
>including printer language media-types.

This will certainly be included, but you make an oversimplification by 
omitting the important fact that IPP is oriented not only around printers 
but also around jobs, that can contain several documents, and that you will 
have features to check up on what happended to your job(s). You can also 
enquire about a printer's features and status, independent of jobs.

>This work can then be use in any protocol, such as SMTP or other simple
>submission protocol, including by the facsimile group for transmission of
>these hardcopy output suggestions to the receiving fax device or document
>store. The hardcopy output suggestions can be maintained with the document
>for future use. These controls are missing from popular terminal-oriented
>media-types, such as html, PDF, etc.

The IPP MIME types will be defined in such as way that they can be run over 
any "transport" protocol that can handle MIME, obviously including SMTP. 
If using the latter makes sense from a service point of view is still a 
separate matter. 

>2 cents.

I have had discussions with the proposed chairs of the FAX WG, and we are
all of the opinion that there is sufficiently much work to be done in both
areas to justify both groups. The initial focus of the groups seem to be 
quite different. The proposed use of MIME types in both projects gives a
certain level of coordination already and if it turns out that a significant
overlap between the projects should materialize over time, there will be
several points in the standardization process where the projects could be
joined. In the meantime, we should all keep informed about what the two
groups are doing, so that any need for coordination can be spotted early.
I am following the FAX DL discussions, and so far I have not seen any 
overlap of work between the groups.

>
>-Raymond
>
>
>
>
>At 11:10 AM 12/23/96 -0800, Carl-Uno Manros wrote:
>>Harald and Keith,
>>
>>below follows the revised proposed charter text for IPP, based on our 
>>discussions in San Jose and follow up discussions in the group afterwards.
>>
>>The references to producing mappings to HTTP and LDAP have been deleted,
>>although some PWG members are likely to be working on those subject as
>>part of their prototyping efforts.
>>
>>The subject of RFC 1179 was further discussed, and it turns out that not
>>a single vendor of printers or print servers has expressed any interest
>>in spending time and effort on the subject. Contrary to opinions expressed
>>in San Jose, RFC 1179 is not used by millions of users; they use one or
>>several of the mostly incompatible variations of LPR. One PWG member has 
>>dealt with writing gateways between 28 (!) different variations. The printer
>>industry considers RFC 1179 as historic and has no interest in spending
>>the time to try to make a proper IETF standard out of this RFC, that was
>>never even considered for the standards track (only informational).
>>Does any of you still have objections to leave RFC 1179 be?
>>
>>I hope that we can now get your official OK for the WG, so that the real 
>>work can be continued without further delay.
>>
>>I have also included a copy of the minutes from the BOF meeting in case 
>>you have not already picked them up from the IPP archive.
>>
>>Best Regards and a Merry Christmas,
>>
>>Carl-Uno
>>
>>Carl-Uno Manros
>>Xerox Corporation
>>(send from home)
>>
>>---
>>
>>(DRAFT 12/23/96)
>>
>>IETF Internet Printing Protocol (ipp) WG
>>
>>Chair(s):
>>        Carl-Uno Manros   <[email-masked]>
>> 
>>Applications Area Director(s): 
>>        Keith Moore        <[email-masked]>
>>        Harald Alvestrand  <[email-masked]>
>> 
>>Area Advisor:
>>        TBD
>>
>>Mailing List Information:
>>        General Discussion: <[email-masked]>
>>        To Subscribe:       <[email-masked]>
>>        Archive:            ftp://ftp.pwg.org/pub/pwg/ipp/
>>
>>Editors:
>>        Scott Isaacson      <[email-masked]>
>>	Robert Herriot      <[email-masked]>
>>        Don Wright          <[email-masked]>
>> 
>>Description of Working Group:
>>
>>The goal of this working group is to define a new application level 
>>distributed printing protocol as well as defining naming and service 
>>registration attributes for printing.  The protocol shall support a 
>>global, distributed environment where print service users (clients, 
>>applications, drivers, etc.) cooperate and interact with print service 
>>providers (servers, printers, gateways, etc.). 
>>
>>The working group will leverage existing (and emerging) technologies 
>>for: authentication, authorization, privacy, and commercial transactions. 
>>The working group will describe a generic directory schema that supports 
>>printing, which can be mapped to existing standards for directories.
>>
>>The working group shall strive to coordinate its activities with other 
>>printing-related standards bodies.
>>
>>The new job submission protocol should strive not to preclude any 
>>types of output devices (e.g., fax, printer, gateway).  Also, the 
>>working group will define extensibility paths to maximize interoperability 
>>and minimize conflict.
>>
>>The latest IETF requirements for management, security, and inter-
>>nationalization shall be covered.
>>
>>Deliverables and Milestones:
>>
>>Done -          Mailing list and archive
>>
>>November 1996 - Submit first set of Internet-Drafts
>>	
>>December 1996 - BOF in IETF meeting in San Jose, CA, USA
>>
>>March 1997 -    Submit Internet-Drafts
>>
>>April 1997 -    Review of specification in IETF meeting in Memphis, TN, USA
>>
>>May 1997 -      At least 2 implemented prototypes
>>
>>May 1997 -      Submit document(s) to the IESG for Proposed Standard
>>
>>Current Internet-Drafts:
>>
>>   IPP-requirements: <draft-wright-ipp-req-01-txt>
>>   IPP-draft:        <draft-isaacson-ipp-inf0-00.txt>
>>
>>Planned RFCs:
>>
>>   Internet Printing Protocol: Requirements and Scenarios (Informational)
>>   Internet Printing Protoco/1.0: Model and Semantics (Standards Track)
>>   Internet Printing Protoco/1.0: MIME Encoding (Standards Track)
>>   Internet Printing Protoco/1.0: Directory Schema (Standards Track)
>>
>>------
>>
>>Internet Printing Protocol
>>Birds of a Feather Session
>>
>>December 12, 1996
>>
>>Minutes taken by: Don Wright <[email-masked]>
>>
>>
>>The meeting was called to order at 1:03 PM
>>
>>Carl-Uno Manros (proposed WG Chair) reviewed the agenda for the meeting
>>
>>Carl-Uno gave a short talk about the lack of IETF standards for printing.
>>He also discussed how this effort started under the Printer Working Group.
>>
>>Don Wright presented an overview of the Internet printing requirements.  The
>>following were significant issues raised by the attendees:
>>	- firewalls
>>	- there are no "operators", only users
>>	- using HTTP as a transport
>>	- LPR/LPD/RFC1179 discussion
>>
>>Carl-Uno presented the charter
>>	- Will address needs of normal, end-user roles
>>	- Will not address needs of the operator and administrator roles
>>	- The group will strive to build on existing standards and technologies
>>	- Would like to use existing standards for directories
>>	- The submitting protocol should not exclude other devices (fax, etc.)
>>
>>Harald Alvestrand stated that HTTP 1.0 is not an IETF standard.  HTTP 1.1 is
>>a proposed standard that might be applicable to IPP.
>>
>>Suggestion from the meeting -- don't explicitly tie IPP to HTTP.
>>
>>Keith Moore: Should there be a scenario statement of how to use IPP without
>>a directry server?
>>
>>Carl-Uno presented the planned drafts list which included:
>>
>>Requirements (Informational)
>>MIME Types for IPP (Standards Track)
>>Application Protocol - IPP (Standards Track)
>>IPP on HTTP (Standards Track)
>>IPP Directory Support -LDAP Object Classes for Printers (Standards Track)
>>
>>Carl-Uno presented the deliverables and milestones for the project.
>>
>>There was a discussion as to whether the group should do the work on the
>>various drafts in parallel versus serial.  Several combinations of serial
>>and parallel were also discussed.  No conclusion.
>>
>>Scott Isaacson presented the IPP protocol document.  The following issues
>>were raised:
>>	- Will the protocol support printer configuration - No, not in 1.0
>>	- Continued discussion on using HTTP.
>>
>>Open Discussion:
>>
>>1) Ray Lutz raised a concern that there was some overlap between the work
>>proposed by the proposed fax group and the proposed print group.  This
>>overlap will be assessed by the directors.
>>
>>2) HTTP issue again.  Suggested using specific HTML as well to more strong
>>tie IPP to HTTP.
>>
>>3) A concern was raised about running over HTTP to get through firewalls.
>>This plan was called "bogus" by one on the attendees.
>>
>>4) Steve Zilles reminded the group that HTTP can be used in both directions
>>to not only send the job but also to retrieve status, etc.
>>
>>5) Suggestion to define the MIME objects and encoding first.
>>
>>6) Harald Alverstrand wanted the charter to be simplified by removing some
>>of the work items such as removing the LDAP mapping and the HTTP mapping.
>>
>>7) More discussion about using RFC1179.  Someone suggested the group should
>>fix RFC 1179 as a part of this project.  There was no interest on the part
>>of the core group to do this.
>>
>>Carl-Uno asked for a show of hands as to whether this effort was worthy of a
>>being charter.  Approximately half of the attendees felt it was.  When asked
>>who thought the effort shouldn't be charter, only 1 person raised his hand.
>>That person's convern was that the proposed charter was too broad.
>>
>>The meeting ended at 3:08PM
>>
>>---
>>
>>
>>
>
>/***********************************************************************
>** Raymond Lutz                             Voice: 619-447-3246
>** Director R & D, Cognisys, Inc.           Fax:   619-447-6872 
>** EC Chair, MFPA                           MFPA:  1-800-603-MFPA
>** 1010 Old Chase Ave., Suite B             mailto:[email-masked]
>** El Cajon (San Diego Co.), CA 92020 USA   http://www.cognisys.com           
>**                                          http://www.mfpa.org
>***********************************************************************/
>
>

---

From: Keith Moore <[email-masked]>
Date: Fri, 27 Dec 1996 14:00:32 -0500

I have strong objections to combining the printer and fax groups.
They're not similar enough to warrant putting the two in one group.
A single protocol that tried to solve the needs of both communities
would likely be a huge mess.

Besides, groups with narrow charters are far more likely to succeed.

Keith